'use strict';

var fs = require('fs-extra');
var path = require('path');

var preCommitVersion = '0.0.1';

function copy(from, to) {
    if (!fs.existsSync(to)) {
        fs.copySync(from, to);
        return true;
    }
    return false;
}

var preCommitTo = '.git/hooks/pre-commit';

function copyPreCommit() {
    var from = path.join(__dirname, '../conf/pre-commit'),
        to = preCommitTo;
    var version = void 0;
    if (fs.existsSync(to)) {
        version = fs.readFileSync(to).toString().match(/# CILint PreCommit v([\d\.]+)/) && RegExp.$1;
    }

    // check pre-commit version
    if (version !== preCommitVersion) {
        fs.copySync(from, to);
        return true;
    }
    return false;
}

var initializer = function initializer() {
    var copys = [[path.join(__dirname, '../conf/cilintrc.js'), '.cilintrc.js'], [path.join(__dirname, '../conf/eslintrc.js'), '.eslintrc.js']];

    var copyed = [];

    copys.forEach(function (item) {
        if (copy(item[0], item[1])) {
            copyed.push(item[1]);
        }
    });

    if (copyPreCommit()) {
        copyed.push(preCommitTo);
    }

    return {
        copyed: copyed
    };
};

module.exports = initializer;